<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('coupon_package', function (Blueprint $table) {
            $table->id();

            $table->foreignIdFor(\App\Models\Coupon::class)->constrained()->cascadeOnDelete();
            $table->foreignIdFor(\App\Models\Package::class)->constrained()->cascadeOnDelete();

            $table->timestamps();

            $table->unique(['coupon_id', 'package_id']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('coupon_package');
    }
};
